summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorUniversebenzene2021-09-18 01:49:15 +0800
committerUniversebenzene2021-09-18 01:49:15 +0800
commit1755d194077e7050f22aeba5338fef263e6376b9 (patch)
treeff9dc72e011d0df022245f0aefb1d9123b1d41f5
parent0ecd6ed66bde9bb6c07b029763d37ae92f1efe4e (diff)
downloadaur-python-pyspeckit.tar.gz
Update to version 0.1.24
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD20
2 files changed, 21 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 4400dc120c4..a0172f5d20b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,35 +1,35 @@
pkgbase = python-pyspeckit
pkgdesc = Toolkit for fitting and manipulating spectroscopic data in python
- pkgver = 0.1.23
+ pkgver = 0.1.24
pkgrel = 1
- url = https://pyspeckit.readthedocs.io/
+ url = https://pyspeckit.readthedocs.io
arch = i686
arch = x86_64
+ license = MIT
license = BSD
- checkdepends = tk
checkdepends = python-pytest-astropy
checkdepends = python-spectral-cube
+ checkdepends = python-scipy
makedepends = python-setuptools
makedepends = python-astropy
makedepends = python-astropy-helpers>=3.1
makedepends = python-sphinx-astropy
- source = https://files.pythonhosted.org/packages/source/p/pyspeckit/pyspeckit-0.1.23.tar.gz
+ source = https://files.pythonhosted.org/packages/source/p/pyspeckit/pyspeckit-0.1.24.tar.gz
source = correct_doc_examples.patch
source = fix_for_new_matplotlib.patch
- md5sums = 969c6d575e7f8a7a9d78921b4f977a43
+ md5sums = 3c4c73493c412f3248e9667e69b151cf
md5sums = b1ea9f4f4d2c467c26c34293bfbd387f
md5sums = a9a13077c3a3b3d039266450d9318aae
pkgname = python-pyspeckit
- depends = python-numpy>=1.4
- depends = python-astropy>=1.0
+ depends = python-astropy
depends = python-matplotlib>=1.4
optdepends = hdf5
optdepends = python-atpy
+ optdepends = python-scipy
optdepends = python-spectral-cube
optdepends = python-lmfit
optdepends = python-pyspeckit-doc: Documentation for PySpecKit
pkgname = python-pyspeckit-doc
pkgdesc = Documentation for Python PySpecKit module
-
diff --git a/PKGBUILD b/PKGBUILD
index 9bf625f472b..131ab8585f0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,23 +3,24 @@ pkgbase=python-pyspeckit
_pyname=${pkgbase#python-}
pkgname=("python-${_pyname}" "python-${_pyname}-doc")
# "python2-${_pyname}"
-pkgver=0.1.23
+pkgver=0.1.24
pkgrel=1
pkgdesc="Toolkit for fitting and manipulating spectroscopic data in python"
arch=('i686' 'x86_64')
-url="https://pyspeckit.readthedocs.io/"
-license=('BSD')
+url="https://pyspeckit.readthedocs.io"
+license=('MIT' 'BSD')
makedepends=('python-setuptools'
# 'python2-setuptools'
'python-astropy'
'python-astropy-helpers>=3.1'
# 'python2-astropy-helpers'
'python-sphinx-astropy')
-checkdepends=('tk' 'python-pytest-astropy' 'python-spectral-cube')
+#checkdepends=('tk' 'python-pytest')
+checkdepends=('python-pytest-astropy' 'python-spectral-cube' 'python-scipy')
source=("https://files.pythonhosted.org/packages/source/${_pyname:0:1}/${_pyname}/${_pyname}-${pkgver}.tar.gz"
'correct_doc_examples.patch'
'fix_for_new_matplotlib.patch')
-md5sums=('969c6d575e7f8a7a9d78921b4f977a43'
+md5sums=('3c4c73493c412f3248e9667e69b151cf'
'b1ea9f4f4d2c467c26c34293bfbd387f'
'a9a13077c3a3b3d039266450d9318aae')
@@ -46,9 +47,10 @@ build() {
}
check() {
-# msg "Checking Python3"
cd ${srcdir}/${_pyname}-${pkgver}
+
# python setup.py test
+ pytest "build/lib" || warning "Tests failed"
# msg "Checking Python2"
# cd ${srcdir}/${_pyname}-${pkgver}-py2
@@ -74,15 +76,17 @@ check() {
#}
package_python-pyspeckit() {
- depends=('python-numpy>=1.4' 'python-astropy>=1.0' 'python-matplotlib>=1.4')
+ depends=('python-astropy' 'python-matplotlib>=1.4')
optdepends=('hdf5'
'python-atpy'
+ 'python-scipy'
'python-spectral-cube'
'python-lmfit'
'python-pyspeckit-doc: Documentation for PySpecKit')
cd ${srcdir}/${_pyname}-${pkgver}
install -D -m644 -t "${pkgdir}/usr/share/licenses/${pkgname}" licenses/*
+ install -D -m644 -t "${pkgdir}/usr/share/licenses/${pkgname}" LICENSE
install -D -m644 -t "${pkgdir}/usr/share/doc/${pkgname}" README*
python setup.py install --root=${pkgdir} --prefix=/usr --optimize=1 --use-system-libraries --offline
}
@@ -91,6 +95,8 @@ package_python-pyspeckit-doc() {
pkgdesc="Documentation for Python PySpecKit module"
cd ${srcdir}/${_pyname}-${pkgver}/docs/_build
+ install -D -m644 -t "${pkgdir}/usr/share/licenses/${pkgname}" ../../licenses/*
+ install -D -m644 -t "${pkgdir}/usr/share/licenses/${pkgname}" ../../LICENSE
install -d -m755 "${pkgdir}/usr/share/doc/${pkgbase}"
cp -a html "${pkgdir}/usr/share/doc/${pkgbase}"
}